# Generated by Makefile. Do not edit.

commit b494c02f2c71cc379e8228a8c7082c6f81d7740e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Mar 10 17:43:53 2012 -0500

    gsettings-data-convert: fix memory error
    
    This fixes an extremely obvious memory error in the changes introduced
    by commit d28bd006832bd136c58d42003bf1b0f25f74128e.
    
    The upshot of this is reports from malloc() of memory corruption when
    running gsettings conversions (particularly observed on 32 bit).

 gsettings/gsettings-data-convert.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8ba21cf8e45344e3f98d99ed1b9ae15e16987815
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 12:21:07 2012 -0500

    bump version after release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 81b729de846ef3d7c69769dce4fba05ffae06e97
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 12:10:22 2012 -0500

    GConf 3.2.4

 NEWS         |   17 +++++++++++++++++
 configure.in |    2 +-
 2 files changed, 18 insertions(+), 1 deletions(-)

commit 1f4573580320b744e6aaad7f7390cff84668d883
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 12:08:13 2012 -0500

    build: add uninstall hook for GSettings backend
    
    New automake is more strict about having the install directory clean
    after 'make uninstall' during 'make distcheck'.

 gsettings/Makefile.am |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c35ac7aff8f035710b3fbbee4fe34461cc78681e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 11:47:35 2012 -0500

    fix build failure with ORBit enabled
    
    With ORBit enabled, the internal gconf headers (that we are now using
    from gsettings-data-convert) depend on ORBit headers.  Add the proper
    search path to the CFLAGS for gsettings-data-convert to fix that.

 gsettings/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d28bd006832bd136c58d42003bf1b0f25f74128e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 7 15:04:53 2012 -0500

    gsettings-data-convert: convert only user settings
    
    We only want to migrate settings that were in writable databases (in
    order to avoid 'lifting' system defaults into the user's database).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671581

 gsettings/Makefile.am              |    1 +
 gsettings/gsettings-data-convert.c |   65 ++++++++++++++++++++++++++++++++++-
 2 files changed, 64 insertions(+), 2 deletions(-)

commit 27c183fe8e63a3a21b58348a294056e2594f985f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 7 15:04:20 2012 -0500

    sources: remove a harmless warning message
    
    GConf warns if there are no writable databases in use.  Stop it from
    doing that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671581

 gconf/gconf-sources.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 0914a38ab9758741e878ce2345cc48650f368372
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 2 17:07:01 2012 +0200

    Uploaded Ukranian

 po/uk.po |  389 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 225 insertions(+), 164 deletions(-)

commit ca6c66bdc2da414d2dacb7c96e40a7cdcbe58f03
Author: Kasia Bondarava <kasia.bondarava@gmail.com>
Date:   Sun Feb 26 01:15:19 2012 +0300

    Updated Belarusian translation.

 po/be.po | 2919 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 1334 insertions(+), 1585 deletions(-)

commit 14176e68e899810eea404ea4a42b7480e5114524
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jun 10 14:38:49 2011 -0400

    daemon: tie saved_state file to session
    
    The code isn't really designed to work well with multiple
    gconfd's writing to the same saved_state file, so we should
    make it per-session.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652289

 gconf/gconfd.c |   82 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 79 insertions(+), 3 deletions(-)

commit 2895a09bc0666cf7b26190bdb648ad1f52c174da
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jun 10 18:47:41 2011 -0400

    daemon: store daemon data in XDG_RUNTIME_DIR
    
    If XDG_RUNTIME_DIR is available it's a much better
    directory than /tmp since it ensures there's no
    DoS possibilities
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652289

 gconf/gconf-internals.c |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)

commit ea6894303f7ebadb98bf4bf70a79c5bf6ef7cb90
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jun 10 11:25:55 2011 -0400

    daemon: store saved_state in daemon dir not ~/.gconfd
    
    The daemon dir isn't always ~/.gconfd so we shouldn't hard
    code it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652289

 gconf/gconfd.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 6f3e127330cb0820a373be77be3cb2cacd0b352e
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Feb 13 23:35:06 2012 -0500

    gconf-dbus: don't crash during sync if gconfd shutting down
    
    The gconfd shuts down after a bit of inactivity.  When that
    happens there's a window where it refuses requests from the
    client library with an error.  The library is resposible for
    gracefully handling this condition and reacting appropriately.
    
    There are many places in the code where the client library has
    this idiom:
    
    db = gconf_engine_get_database (conf, TRUE, err);
    
    if (db == NULL)
      {
        g_return_if_fail(err == NULL || *err != NULL);
    
        return;
      }
    
    In the event gconfd is shutting down, db will be NULL, and the
    code will return early from whatever (non-critical) operation
    it was doing.
    
    gconf_engine_suggest_sync has a similiar chunk of code, but it
    neglected the "return;" and then promptly crashed since it wasn't
    expecting db to be NULL.
    
    This commit adds the return;
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670033

 gconf/gconf-dbus.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0bc3a90c2178ae0dd42029f7ad227fa7f44d6c0c
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sat Feb 4 18:43:35 2012 +0100

    Updated Dutch translation

 po/nl.po |  384 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 224 insertions(+), 160 deletions(-)

commit 6cd97ba58d2022378a627406bcd786eefd5b891a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 24 15:12:06 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  220 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 94 insertions(+), 126 deletions(-)

commit 212c2b9f69ccf4fd6a140726a45848d8810ae6ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 12:42:13 2012 -0500

    Put back gthread-2.0
    
    Turns out g_thread_init is used in gconftool

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 371b817fec29aeeeaabb24fca80248e8dc4d68c5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 11:37:42 2012 -0500

    Back down gio requirements
    
    2.32 doesn't actually exist yet...

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e06e9553b060d6b0fd96cdf40dbd5918045c52ca
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 09:54:58 2012 -0500

    Bump GIO dep to 2.32
    
    This is needed for the settings schema API.

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 120f116e608bc1f09cf65435333e40e00c6b8ad2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 09:53:08 2012 -0500

    Skip nonexisting schemas
    
    This can happen in practice, due to e.g. schemas being packaged
    in subpackages, while all the conversions are kept in a single
    file.

 gsettings/gsettings-data-convert.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 76e5c8e2cf3d2555beb8d06211711d82962a9ebf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 09:51:16 2012 -0500

    Cosmetics: Consistenly capitalize messages

 gsettings/gsettings-data-convert.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 8a9c168c8b9f58cfcfdb021e45fb5a16674a3969
Author: Colin Walters <walters@verbum.org>
Date:   Sat Jan 14 22:08:48 2012 -0500

    build: Add --disable-documentation configure option
    
    Documentation is the source of many cyclical build loops.  Allow
    operating system builders to manually cut these cycles initially
    by disabling documentation for a first pass.

 configure.in          |    5 +++++
 gsettings/Makefile.am |    6 +++++-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 635d28cbf635d89b8bbbb008bf86cc864b8dabb7
Author: Richard Purdie <richard.purdie@intel.com>
Date:   Mon Nov 28 14:34:43 2011 +0000

    Allow the backend directory to be specified from the environment.
    
    This is required in Yoctor so we can relocate gconf-native to different paths
    and still allow it to work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664650

 gconf/gconf-backend.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit c129898afaa562ffc38f434e5e0c607f525101b8
Author: Sascha Silbe <sascha-pgp@silbe.org>
Date:   Mon Nov 14 16:13:27 2011 +0100

    D-Bus backend: Add GCONF_DEFAULT_SOURCE_PATH support (#664031)
    
    Forward-port 7baf4c6b33a6dd0697a8bdb81bd86c72d58ebdc6
    ("Allow overriding the default config via $GCONF_DEFAULT_SOURCE_PATH")
    from the ORBit to the D-Bus backend to fix (sugar-)jhbuild breakage when
    building with --disable-orbit.

 gconf/gconf-dbus.c |   30 +++++++++++++++++++-----------
 1 files changed, 19 insertions(+), 11 deletions(-)

commit e203d15c02b64f0e74498f85b52d9ca876baa996
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 31 15:30:17 2011 +0000

    Version 3.2.3

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1616085d796b6c387e3f4a7afbd1ac5b465ef94d
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 31 15:30:08 2011 +0000

    Update NEWS

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 5b4330b2cac60b817ff94730e187e4ea87cd8597
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 31 16:00:08 2011 +0100

    Revert d7917514549f48297bc0032a7e2b54bfb17f7495 and clarify comment
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662991

 gconf/gconf-database.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 1b717466bbf42ac22f3674c51fefaaeda9cfec1e
Author: Rob Bradford <rob@linux.intel.com>
Date:   Wed Oct 26 16:59:37 2011 +0100

    Bump version to 3.2.2

 NEWS         |    8 ++++++++
 configure.in |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit d7917514549f48297bc0032a7e2b54bfb17f7495
Author: Ross Burton <ross@linux.intel.com>
Date:   Wed Oct 26 16:42:35 2011 +0100

    gconf-dbus: Clean up ORBit vs DBus logic (thanks, Jasper St. Pierre)

 gconf/gconf-database.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit ad3bc4f4fc78749e0d4bf2bfc2cd8045e2570f3f
Author: Jiří Klimeš <jklimes@redhat.com>
Date:   Mon Oct 10 13:18:04 2011 +0200

    gconf-dbus: Don't crash when reply is NULL in gconf_engine_notify_remove()
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=661372

 gconf/gconf-dbus.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9189d408b9ec51defefc99a4ad385fa453040ea2
Author: Ross Burton <ross@linux.intel.com>
Date:   Wed Oct 26 13:03:43 2011 +0100

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 29f0afc00fab4776e00948884fc8c41256672c2e
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Tue Oct 25 19:29:26 2011 +0200

    build: Fix for -Werror=format-security

 gconf/gconf-dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3876d9564955138ec1d277611c55dab61d298c5f
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 24 15:32:19 2011 +0100

    Update NEWS

 NEWS |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit a6a1f4e2959d0d926c07e4039cdabd10a3a17bec
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 24 15:26:52 2011 +0100

    Bump version to 3.2.1

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d8110519d2742817f8c44b146189e2acea64cf2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 20:12:48 2011 +0200

    gconf-dbus: Fix leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconf-database-dbus.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit dc7e44d0a7a9f34d491ce4629c89cb4b37b7bcca
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 20:02:16 2011 +0200

    gconf-dbus: Emit a Bye dbus signal when dropping a database
    
    This enables clients to know the database got dropped, and to stop
    referencing the object path of this database. The clients will
    eventually cause the re-creation of this database when they'll need it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconf-database-dbus.c |    1 +
 gconf/gconf-dbus-utils.h    |    1 +
 gconf/gconf-dbus.c          |   42 ++++++++++++++++++++++++++++++++++++++++++
 gconf/gconfd-dbus.c         |   16 ++++++++++++++++
 gconf/gconfd-dbus.h         |    2 ++
 5 files changed, 62 insertions(+), 0 deletions(-)

commit 54318ebf218743ea1a3353f940eb8f44767fd2bb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 20:02:08 2011 +0200

    gconf-dbus: Do not drop old databases that have clients listening to it
    
    This would be bad as clients would get lost when the object path of this
    dropped database disappears.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconfd.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d77bfc60f0e27d1db24a18661f1a248307307ce1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 19:58:20 2011 +0200

    gconf-dbus: On SIGHUP, do not recreate databases but reload the sources
    
    When we destroy and recreate a database, the object path associated to
    it on dbus changes. This is bad as clients do not know about the object
    path change, and therefore fail.
    
    Instead of destroying and recreating the databases, we simply reload the
    sources for this database. This achieves the same result, without
    changing the object path.
    
    Note that for the corba backend, we still use the old way as simply
    reloading the sources might not work -- the sources are used in
    corba-specific code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconf-database.c |   29 ++++++++++++++---
 gconf/gconf-database.h |    3 ++
 gconf/gconfd.c         |   80 ++++++++++++++++++++++++++++++++++++++++++-----
 3 files changed, 98 insertions(+), 14 deletions(-)

commit d7635af672cd3d4929498f30a93263aa77fa7403
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Oct 19 18:06:11 2011 +1100

    po/vi: import from Damned Lies

 po/vi.po |  453 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 259 insertions(+), 194 deletions(-)

commit 6eef6898442ec4caa1ed57910a7bf27f72352a7b
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Tue Oct 18 00:59:40 2011 +0900

    Updated Japanese translation

 po/ja.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 06cc446d0f72b1c929ea8daf5def5c62fe84a96a
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Wed Oct 5 11:44:09 2011 +0300

    Updated Finnish translation

 po/fi.po |  202 +++++++++++++++++++-------------------------------------------
 1 files changed, 62 insertions(+), 140 deletions(-)

commit c7afd3aa8307a6bfd68ca485866fb8b60228ed0f
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Sep 26 16:50:26 2011 +0100

    Release 3.2.0

 NEWS         |    9 +++++++++
 configure.in |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit e5fbeb6ac816eb92a6b33881696357bd7482bd9b
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Sat Sep 24 16:58:34 2011 +0530

    Updated Assamese Translations:bugzilla#659595

 po/as.po |  363 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 212 insertions(+), 151 deletions(-)

commit e0291ff5d384fd82102351103ff3a3dbf689d00a
Author: Flemming Christensen <fc@stromata.dk>
Date:   Thu Sep 22 16:13:18 2011 +0200

    Updated Danish translation

 po/da.po |  351 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 207 insertions(+), 144 deletions(-)

commit 205f6ab1d29a422c41e380ebba34e26a02f0dba7
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Sep 21 17:19:55 2011 +0200

    Updated Basque language

 po/eu.po |  457 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 274 insertions(+), 183 deletions(-)

commit b4d6f7b75a40c0c1fc5c6e9f76beffb54f948ab3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 02:29:08 2011 +0200

    Updated Hungarian translation

 po/hu.po |  459 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 283 insertions(+), 176 deletions(-)

commit 82bada34f1cac6eabcbf27a0ea9579c4299d5e3e
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Sep 19 21:12:47 2011 +0200

    [l10n] Updated German translation

 po/de.po |  553 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 313 insertions(+), 240 deletions(-)

commit 34ecc9abc600836b912468c7ec87d2ebd94b6210
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Sep 19 19:22:52 2011 +0100

    Release 3.1.92

 NEWS         |   15 +++++++++++++++
 configure.in |    2 +-
 2 files changed, 16 insertions(+), 1 deletions(-)

commit 5a46db5bbc995a3e98cffdd8b7796fa1b86badab
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 11:25:40 2011 +0900

    Updated Japanese translation

 po/ja.po |  106 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 53 insertions(+), 53 deletions(-)

commit 6298d07f3a0485368c4a5512730bb190aace1f1a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Sep 17 00:05:04 2011 +0200

    Updated Serbian translation

 po/sr.po       |  810 ++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po |  802 ++++++++++++++++++++++++++++++-------------------------
 2 files changed, 876 insertions(+), 736 deletions(-)

commit 9a166a78b212a7421c68953121b4d201e80911e5
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 16 08:25:59 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  352 +++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 208 insertions(+), 144 deletions(-)

commit c4e913e6bbaaf7c52174b48a4ea6da9797492041
Author: Xandru Armesto <xandru@softastur.org>
Date:   Wed Sep 14 16:57:03 2011 +0200

    Updated asturian translation

 po/ast.po | 1147 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 713 insertions(+), 434 deletions(-)

commit ea43f64e750afda815aba294643a71f10a723490
Author: I Felix <ifelix25@gmail.com>
Date:   Tue Sep 13 15:05:50 2011 +0530

    Updated Tamil Translations

 po/ta.po |  858 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 536 insertions(+), 322 deletions(-)

commit b4811daf88cb152bf51efb485a25c17eb85c4598
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Tue Sep 13 13:24:29 2011 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po |  349 +++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 205 insertions(+), 144 deletions(-)

commit 2247b9875e305581001d520502c5fc68601f454b
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Sep 13 09:06:56 2011 +0900

    Updated Korean translation

 po/ko.po |  421 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 261 insertions(+), 160 deletions(-)

commit 230721e58de7c76a5b100aa91d22f1bb907d085b
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 11 16:42:46 2011 +0530

    Updated Punjabi Translation

 po/pa.po |  365 ++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 215 insertions(+), 150 deletions(-)

commit e96bf37fd272b65ab60a61ff010499aa6d6f216f
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Sep 11 01:26:03 2011 +0100

    configure.ac: Use maintainer mode by default
    
    See
    https://mail.gnome.org/archives/desktop-devel-list/2011-September/msg00064.html

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 11fc9994fde42a564198af0c72baf04a1cbd66e8
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Fri Sep 9 12:16:31 2011 +0530

    Updated Oriya Translation

 po/or.po |  770 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 496 insertions(+), 274 deletions(-)

commit 89989c27c494283bbe82747510e0909d3a083b8c
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Thu Sep 8 21:50:53 2011 +0200

    l10n: Updated Italian translation

 po/it.po |  350 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 208 insertions(+), 142 deletions(-)

commit be748e37d8ee86a2c39cfd391c0219a6cd5eeab9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 20:41:33 2011 +0200

    Updated Polish translation

 po/pl.po |  344 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 205 insertions(+), 139 deletions(-)

commit 71164ae25149e77aaaa6c9621479645098bf1fe1
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Thu Sep 8 17:50:00 2011 +0100

    Updated British English translation

 po/en_GB.po |  351 ++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 206 insertions(+), 145 deletions(-)

commit 3018be87eb1039cd39d88928fdcab32fd3ccfc13
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Sep 8 16:59:25 2011 +0530

    Updated Gujarati Translations

 po/gu.po |  375 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 223 insertions(+), 152 deletions(-)

commit 20090aab16ad2fa168afa33a7af5fe11ca73f297
Author: Joey Zheng <joey@jzheng.org>
Date:   Wed Sep 7 13:14:17 2011 +0100

    gconf-database-dbus: Allow setting the gconf values to the schema default
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=655954

 gconf/gconf-database-dbus.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 9a360a03c3d28de95bacbcb2754ad3f5ff21a8fc
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Sep 7 00:29:47 2011 +0100

    Updated Portuguese translation

 po/pt.po |  347 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 204 insertions(+), 143 deletions(-)

commit d07bdc367d0a7c7656e0d25655c29bb11ad38405
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 29 23:10:19 2011 +0100

    Release 3.1.90

 NEWS         |   14 ++++++++++++++
 configure.in |    2 +-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit a69db9ac74f515e7134cbc3175469e8ea94058f9
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon Aug 29 21:07:39 2011 +0530

    Updated Telugu Translation

 po/te.po |  960 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 592 insertions(+), 368 deletions(-)

commit c5bf267db7f7626e003c98d0f521d173168bd383
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Aug 29 19:16:36 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  775 ++++++++++++++++++++++++++++++----------------------
 po/zh_TW.po |  872 +++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 959 insertions(+), 688 deletions(-)

commit d55241aba68c2579f2125d6b7192aece4ab651ff
Author: Takayoshi OKANO <kano@na.rim.or.jp>
Date:   Sun Aug 28 19:09:06 2011 +0900

    Updated Japanese translation

 po/ja.po |  370 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 217 insertions(+), 153 deletions(-)

commit e604bb6f1c0c9b161fa21329b23e13da1f6f4d6a
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Fri Aug 19 19:39:05 2011 +0200

    Added UG translation

 po/ug.po | 5474 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 2769 insertions(+), 2705 deletions(-)

commit 44e322aef6a0af4f35c1a5fb88c622634bd8bba9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Aug 15 11:49:46 2011 -0400

    GSettings migration: add --file argument
    
    Add a --file commandline argument to request running conversions from
    an extra file (in addition to the normal conversions).

 gsettings/gsettings-data-convert.c |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit e67d1582b0ddbfd191597032fee41ae9d468f2ec
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Aug 15 11:41:58 2011 -0400

    GSettings migration: consult XDG_DATA_DIRS
    
    Instead of using the hardcoded compile-time DATADIR, consult
    XDG_DATA_DIRS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656262

 gsettings/gsettings-data-convert.c |   18 ++++++++++++++----
 1 files changed, 14 insertions(+), 4 deletions(-)

commit 7c3ab0f551118f50a993a79ce76fb5c9f028a040
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Aug 15 11:34:50 2011 -0400

    GSettings migration: print better keyfile errors
    
    GKeyFile error messages don't have very good context.  Add some when we
    print the message to stderr.

 gsettings/gsettings-data-convert.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 4940cfd13fc9bed161ed26db1062c3e881baab27
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Aug 15 11:29:34 2011 -0400

    GSettings migration: factor out dir handling
    
    Move the code that handles iterating over all the files in the
    conversion directory out of the main function and into its own.

 gsettings/gsettings-data-convert.c |  124 ++++++++++++++++++++----------------
 1 files changed, 68 insertions(+), 56 deletions(-)

commit ffe0aeb6d18a1a6a3b18cb4e504ac7d9d820086b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Aug 15 11:13:15 2011 -0400

    GSettings migration: use GHashTable, not strv
    
    Use a GHashTable to keep the list of already-converted keyfiles instead
    of a strv.

 gsettings/gsettings-data-convert.c |   98 +++++++++++++++++++++++++-----------
 1 files changed, 68 insertions(+), 30 deletions(-)

commit bea94f6f1d35fe175ec10d0928e686ee7e023e2b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Aug 10 11:21:43 2011 +0200

    GSettings migration: only write database on actual changes
    
    The database was being rewritten in all cases of timestamp changes on
    the migration scripts directory -- possibly even if a script had been
    removed since last run (or other reasons).
    
    Only rewrite the file if a new migration has actually been run.

 gsettings/gsettings-data-convert.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 0bdf55869a78c838edacfb4b2055de5597c9875d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Aug 10 11:12:32 2011 +0200

    GSettings migration: use time() as the timestamp
    
    Store the current system time as the timestamp in the database instead
    of the timestamp that we read from the directory containing the
    migration scripts.

 gsettings/gsettings-data-convert.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit d6f22138dc0362c706f7958bc3f42aef7af02d46
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 15 16:45:23 2011 +0100

    gconf-database-dbus: Fix notify listeners to also use an object path
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=655656

 gconf/gconf-database-dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 052f7c9c26e423f2ee4db3316fd7f4439c8049eb
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 15 15:51:19 2011 +0100

    Release 3.1.6

 NEWS         |   14 ++++++++++++++
 configure.in |    2 +-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 38f1973d58c65639fe83de7918b5c765933302cd
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 15 15:24:27 2011 +0100

    gconf-dbus: Support older daemon returning string for object path
    
    Enhances: https://bugzilla.gnome.org/show_bug.cgi?id=655656

 gconf/gconf-dbus.c |   21 +++++++++++++++++----
 1 files changed, 17 insertions(+), 4 deletions(-)

commit 6736f42ce5172b44083a9089ff4a777ed1c5bdc3
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jul 30 23:06:53 2011 +0200

    gconf(d)-dbus: Use correct type, 'o', for object paths
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=655656

 gconf/gconf-dbus.c  |    2 +-
 gconf/gconfd-dbus.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c9c85796088485f84aede8ffe649f9bdf0c609f9
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 15 14:44:55 2011 +0100

    misc: Add a DOAP file

 gconf.doap |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)

commit 752cd58087941e9cdc8d620b4b46993f25501c60
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 15 12:19:46 2011 +0100

    build: Correctly ensure that generated CORBA files are deleted when disting
    
    Otherwise if you have build with ORBIT and then do a dist (which uses D-BUS)
    then you get the CORBA generated files inside your D-BUS tarball.
    
    The previous attempt at this fix caused a FTBFS when you didn't have ORBIT
    headers.

 gconf/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3eb4407b0f791acf8b94b9a6ecfbf6a8db61b395
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Aug 15 12:17:49 2011 +0100

    Revert "build: Ensure that generated CORBA files are deleted when disting"
    
    This reverts commit 3385287b5e8566e9a7107410348592571db6440c.
    
    Results in a build error if you don't have ORBIT available on your system.

 gconf/Makefile.am |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit a77254e76818c2ebf0e5c043220ac2ba9366f981
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 14 17:22:35 2011 +0100

    Release 3.1.5

 NEWS         |   22 ++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 23 insertions(+), 1 deletions(-)

commit 7cb127ea203f1975fb73bb3e19cbbc275e3f7f70
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sun Jul 17 16:40:20 2011 -0700

    build: Add exported pkg-config file and C include information to GIR
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=654801

 gconf/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 150e7fbea18a1431891224a79e6710377b4aa9dc
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 14 16:49:10 2011 +0100

    gconfd-dbus: Handle messages that don't have an interface set
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=656248
    
    Inspired by proposed solution from Joey Zheng.

 gconf/gconfd-dbus.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e4084e63c85655532ed95f38f9a4b701b1b12985
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 14 15:59:55 2011 +0100

    misc: Update .gitignore to include files from gtk-doc and dist tarball

 .gitignore |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 3385287b5e8566e9a7107410348592571db6440c
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 14 15:56:34 2011 +0100

    build: Ensure that generated CORBA files are deleted when disting
    
    Otherwise if you have build with ORBIT and then do a dist (which uses D-BUS)
    then you get the CORBA generated files inside your D-BUS tarball.

 gconf/Makefile.am |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit dd3929019700ae3e4ee1175f198b7a32c073a629
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 14 15:36:05 2011 +0100

    misc: Update .gitignore file to hide gsettings converter .desktop file

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fc96ed13c9c695d44c97cd3aafe17c69059af70a
Author: Rob Bradford <rob@linux.intel.com>
Date:   Sun Aug 14 15:23:21 2011 +0100

    build: Switch to autogenerated ChangeLog file

 ChangeLog         | 7569 +----------------------------------------------------
